Botan 2.19.5 Crypto and TLS for C&

Namespaces | Macros
tpm.cpp File Reference
`#include <botan/tpm.h>`
`#include <botan/rsa.h>`
`#include <botan/hash.h>`
`#include <botan/hash_id.h>`
`#include <botan/der_enc.h>`
`#include <botan/workfactor.h>`
`#include <botan/pk_ops.h>`
`#include <sstream>`
`#include <tss/platform.h>`
`#include <tss/tspi.h>`
`#include <trousers/trousers.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Macros
#define | TSPI_CHECK_SUCCESS(expr)

## Macro Definition Documentation

## ◆ TSPI_CHECK_SUCCESS

#define TSPI_CHECK_SUCCESS | ( |  | expr | ) |

Value:
do { \
TSS_RESULT res = expr; \
if(res != TSS_SUCCESS) \
tss_error(res, #expr, __FILE__, __LINE__); \
} while(0)

Definition at line 68 of file tpm.cpp.